package com.iformall.service;

import com.github.pagehelper.PageInfo;
import com.iformall.common.ResultData;
import com.iformall.domain.po.WxBrand;
import com.iformall.domain.po.WxShop;

import java.io.Serializable;
import java.util.Collection;
import java.util.List;
import java.util.Map;

/**
 * @author gongbiao
 */
public interface WxBrandService {

	/**
     * 根据实体查询分页列表
     *
     * @param record
     * @param pageIndex
     * @param pageSize
     * @return
     */
	PageInfo<WxBrand> listAsPage(WxBrand record, Integer pageIndex, Integer pageSize);
	
	/**
     * 根据Id获得实体
     *
     * @param id
     * @return
     */
    WxBrand getById(Long id);

	Collection<WxBrand> getByIds(Collection<? extends Serializable> ids);

    /**
     * 根据Id删除实体
     *
     * @param id
     */
    void deleteById(Long id);


    ResultData save(WxBrand wxBrand);

    ResultData update(WxBrand wxBrand);

    List<Map<String,Object>> queryBrand(String id);

    ResultData hasBrand(String tenantId, String name, Long id);

}
